Read retained result

Read retained result

GET
/api/v1/data/requests/{id}/result

Read retained result

Authorization

headerX-API-Key<token>

Path Parameters

id*string
Formatuuid

Response Body

HTML, text, and result metadata; extraction requests additionally return data and extraction. Error body uses the documented PublicError DTO.

application/json
  1. response
id*string
Formatuuid
html*string
text*string
result_meta*|null
expires_at*|
Formatdate-time
curl -X GET 'https://api.runharvester.com/api/v1/data/requests/497f6eca-6276-4993-bfeb-53cbbbba6f08/result' \  --header "X-API-Key: ${RUNHARVESTER_API_KEY:?Set your Data API key}"
{  "id": "9a20bd58-ed33-4a5b-b63f-b52bb1a62248",  "status": "pending"}